Subject: Re: [PATCH 2/2] repo-config: learn the flag "--no-local"

From: Jakub Narebski <[email-masked]>
Date: Thu, 08 Jun 2006 22:55:29 +0200

Johannes Schindelin wrote:

> BTW it is the same reason I would rather not see /etc/gitconfig: it 
> meddles with an existing configuration. If you want to give defaults, you 
> can use a skeleton for $HOME, and templates for $GIT_DIR. As a user, I 
> would be very surprised if the behaviour of git changed from one day to 
> the other without my changing anything.

I agree wholeheartily. I guess that the 'skeleton' part has yet to be
written...

-- 
Jakub Narebski
Warsaw, Poland